Name: argbash
Version: 2.7.1
Release: 1%{?dist}
Summary: Bash argument parsing code generator
License: BSD
URL: https://argbash.io
Source0: https://github.com/matejak/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch: noarch

BuildRequires: autoconf
BuildRequires: coreutils
BuildRequires: make
BuildRequires: bash
BuildRequires: bash-completion

%if 0%{?fedora} >= 27
BuildRequires: ShellCheck
%endif

Requires: autoconf
Requires: bash
Requires: coreutils
Requires: grep
Requires: sed

%if !0%{?rhel} || 0%{?rhel} > 7
Recommends: bash-completion
%endif

%description
Argbash helps your shell scripts to accept arguments.
You declare what arguments you want your script to accept and Argbash
generates the shell code that parses them from the command-line and exposes
passed values as shell variables.

Help message is also generated, and helpful error messages are dispatched
if the script is called with arguments that conflict with the interface.

%prep
%autosetup -p1

%build

%install
cd resources && \
    ROOT=%{buildroot} \
    PREFIX=%{_prefix} \
    PREFIXED_LIBDIR=%{_datarootdir} \
    SYSCONFDIR=%{_sysconfdir} \
    INSTALL_COMPLETION=yes \
    make install

%check
cd resources && make check

%files
%license LICENSE
%doc README.md ChangeLog

%{_bindir}/argbash
%{_bindir}/argbash-1to2
%{_bindir}/argbash-init
%{_datarootdir}/argbash/
%dir %{_sysconfdir}/bash_completion.d/
%{_sysconfdir}/bash_completion.d/argbash

%changelog
* Thu Sep 20 2018 Stephen Gallagher <sgallagh@redhat.com> - 2.7.1-1
- Update to 2.7.1
- The bash completion now supports arguments of one-of-restricted values.
- Tests pass when there is no dash shell installed.
- The double-dash handling when -- is the last argument has been improved.
- The generated bash completion is now complementing (i.e. not shadowing) the
  default bash completion.
- Docopt fatal regression has been fixed.
- Tests were added for docopt output.

* Thu Jul 19 2018 Stephen Gallagher <sgallagh@redhat.com> - 2.7.0-1
- Update to 2.7.0
- https://github.com/matejak/argbash/releases/tag/2.7.0

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Mar 05 2018 Stephen Gallagher <sgallagh@redhat.com> - 2.6.1-2
- Fix build issue on Fedora 26

* Mon Mar 05 2018 Stephen Gallagher <sgallagh@redhat.com> - 2.6.1-1
- Update to 2.6.1
- Drop upstreamed patches

* Fri Mar 02 2018 Stephen Gallagher <sgallagh@redhat.com> - 2.6.0-1
- Update to 2.6.0
- Add bash-completion support

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 10 2018 Stephen Gallagher <sgallagh@redhat.com> - 2.5.1-1
- Update to 2.5.1
- https://github.com/matejak/argbash/releases/tag/2.5.1

* Mon Oct 16 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.5.0-1
- Official Fedora release

* Mon Oct 16 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.5.0-0.3
- Update to 2.5.0
- Move common files to /usr/share
- Add requirements on grep and sed

* Tue May 30 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.4.0-0.2
- Restore arch-independent path for argbash support files

* Wed May 24 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.4.0-0.1
- Update to the 2.4.0 release
- Correct issues discovered in package review

* Wed Mar 08 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.3.0-0.2
- Initial package

